% Wavelet Toolbox Wavelet Packet Section
% Version 3.0  1-Jun-96
%
% 1D Wavelet Packets.
%    wpk        - Direct One Dimensional Wavelet Packet Transform
%    iwpk       - Inverse 1D Wavelet Packet Transform
%    wavepack	- Wavelet Packet functions calculation
% 
% 1D Best Basis Selection.
%    pruneadd   - Tree pruning algorithm for additive costs
%    prunenon   - Pruning algorithm for non-additive costs
%    growadd    - Tree growth algorithm for additive costs
%    grownon    - Growth algorithm for non-additive costs
%
% 2D Wavelet Packets.
%    wpk2d	- Direct Two Dimensional Wavelet Packet Transform
%    iwpk2d	- Inverse 2D Wavelet Packet Transform
%
% 2D Best Basis Selection.
%    prune2d	- Quadtree pruning algorithm for additive costs
%
% Cost Measurements.
%  * Additive  
%      lpenerg  - Energy with l^p norm
%      shanent  - Shannon entropy of the coefficients
%      logenerg - 'Log energy' functional
%  * Non-additive
%      cwent    - Coifman-Wickerhauser entropy of the coefficients
%      weaklp   - Weak l^p norm
%      cmparea  - Compression area with squared coefficients
%      cmpnum   - Compression number
%
% Help 
%    basis      - Script about the 1D, 2D basis format
%
%   Copyright 1996, Universidad de Vigo
%   All rights reserved.
